
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>中英文语音合成与中文语音识别技术在c#中的应用（一） / iVAN</title>

    <meta name="description" content="中英文语音合成与中文语音识别技术在c#中的应用（一） 中文 在.net中,对英文语音有较好的支持,但是对中文语音的支持还没有加入进来,我们要想实现中文发音或中文语音识别,必需先安装微软的Speech Application SDK(SASDK),它的最新版本是 SAPI 5.1 他能够识别中.日.英三种语言,你可以在这里下载:http://www.microsoft.com/speech/download/sdk51/,需要安装这两个文件Speech SDK 5.1和5.1 Language Pack,其中5.1 Language Pack可以选择">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">中英文语音合成与中文语音识别技术在c#中的应用（一）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>中文</p>
<p>在.net中,对英文语音有较好的支持，但是对中文语音的支持还没有加入进来，我们要想实现中文发音或中文语音识别，必需先安装微软的Speech Application SDK（SASDK），它的最新版本是 SAPI 5.1 他能够识别中、日、英三种语言，你可以在这里下载：http://www.microsoft.com/speech/download/sdk51/,需要安装这两个文件Speech SDK 5.1和5.1 Language Pack，其中5.1 Language Pack可以选择安装支持的语言。</p>
<p>安装好以后，我们就可以开始进行语音程序的开发了，当然，在这之前我们需要把SAPI.dll通过如下图所示添加到引用中</p>
<p>下面我们设计一个能够朗读中英文混合语言的类：</p>
<p>我们将用单例模式实现该类，类的代码如下，我们将详细解释：</p>
<p>public class Speach</p>
<p>{</p>
<p>private static Speach _Instance = null ;</p>
<p>private SpeechLib.SpVoiceClass voice =null;</p>
<p>private Speach()</p>
<p>{</p>
<p>BuildSpeach() ;</p>
<p>}</p>
<p>public static Speach instance()</p>
<p>{</p>
<p>if (_Instance == null)</p>
<p>_Instance = new Speach() ;</p>
<p>return _Instance ;</p>
<p>}</p>
<p>private void SetChinaVoice()</p>
<p>{</p>
<p>voice.Voice = voice.GetVoices(string.Empty,string.Empty).Item(0) ;</p>
<p>}</p>
<p>private void SetEnglishVoice()</p>
<p>{</p>
<p>voice.Voice = voice.GetVoices(string.Empty,string.Empty).Item(1) ;</p>
<p>}</p>
<p>private void SpeakChina(string strSpeak)</p>
<p>{</p>
<p>SetChinaVoice() ;</p>
<p>Speak(strSpeak) ;</p>
<p>}</p>
<p>private void SpeakEnglishi(string strSpeak)</p>
<p>{</p>
<p>SetEnglishVoice() ;</p>
<p>Speak(strSpeak) ;</p>
<p>}</p>
<p>public void AnalyseSpeak(string strSpeak)</p>
<p>{</p>
<p>int iCbeg = 0 ;</p>
<p>int iEbeg = 0 ;</p>
<p>bool IsChina = true ;</p>
<p>for(int i=0;i&lt;strSpeak.Length;i++)</p>
<p>{</p>
<p>char chr = strSpeak[i] ;</p>
<p>if (IsChina)</p>
<p>{</p>
<p>if (chr&lt;=122&amp;&amp;chr&gt;=65)</p>
<p>{</p>
<p>int iLen = i - iCbeg ;</p>
<p>string strValue = strSpeak.Substring(iCbeg,iLen) ;</p>
<p>SpeakChina(strValue) ;</p>
<p>iEbeg = i ;</p>
<p>IsChina = false ;</p>
<p>}</p>
<p>}</p>
<p>else</p>
<p>{</p>
<p>if (chr&gt;122||chr&lt;65)</p>
<p>{</p>
<p>int iLen = i - iEbeg ;</p>
<p>string strValue = strSpeak.Substring(iEbeg,iLen) ;</p>
<p>this.SpeakEnglishi(strValue) ;</p>
<p>iCbeg = i ;</p>
<p>IsChina = true ;</p>
<p>}</p>
<p>}</p>
<p>}//end for</p>
<p>if (IsChina)</p>
<p>{</p>
<p>int iLen = strSpeak.Length - iCbeg ;</p>
<p>string strValue = strSpeak.Substring(iCbeg,iLen) ;</p>
<p>SpeakChina(strValue) ;</p>
<p>}</p>
<p>else</p>
<p>{</p>
<p>int iLen = strSpeak.Length - iEbeg ;</p>
<p>string strValue = strSpeak.Substring(iEbeg,iLen) ;</p>
<p>SpeakEnglishi(strValue) ;</p>
<p>}</p>
<p>}</p>
<p>private void BuildSpeach()</p>
<p>{</p>
<p>if (voice == null)</p>
<p>voice = new SpVoiceClass() ;</p>
<p>}</p>
<p>public int Volume</p>
<p>{</p>
<p>get</p>
<p>{</p>
<p>return voice.Volume ;</p>
<p>}</p>
<p>set</p>
<p>{</p>
<p>voice.SetVolume((ushort)(value)) ;</p>
<p>}</p>
<p>}</p>
<p>public int Rate</p>
<p>{</p>
<p>get</p>
<p>{</p>
<p>return voice.Rate ;</p>
<p>}</p>
<p>set</p>
<p>{</p>
<p>voice.SetRate(value) ;</p>
<p>}</p>
<p>}</p>
<p>private void Speak(string strSpeack)</p>
<p>{</p>
<p>try</p>
<p>{</p>
<p>voice.Speak(strSpeack,SpeechVoiceSpeakFlags.SVSFlagsAsync) ;</p>
<p>}</p>
<p>catch(Exception err)</p>
<p>{</p>
<p>throw(new Exception("发生一个错误："+err.Message)) ;</p>
<p>}</p>
<p>}</p>
<p>public void Stop()</p>
<p>{</p>
<p>voice.Speak(string.Empty,SpeechLib.SpeechVoiceSpeakFlags.SVSFPurgeBeforeSpeak) ;</p>
<p>}</p>
<p>public void Pause()</p>
<p>{</p>
<p>voice.Pause() ;</p>
<p>}</p>
<p>public void Continue()</p>
<p>{</p>
<p>voice.Resume() ;</p>
<p>}</p>
<p>}//end class</p>
<p>在 private SpeechLib.SpVoiceClass voice =null;这里，我们定义个一个用来发音的类，并且在第一次调用该类时，对它用BuildSpeach方法进行了初始化。</p>
<p>我们还定义了两个属性Volume和Rate，能够设置音量和语速。</p>
<p>我们知道，SpVoiceClass 有一个Speak方法，我们发音主要就是给他传递一个字符串，它负责读出该字符串，如下所示。</p>
<p>private void Speak(string strSpeack)</p>
<p>{</p>
<p>try</p>
<p>{</p>
<p>voice.Speak(strSpeack,SpeechVoiceSpeakFlags.SVSFlagsAsync) ;</p>
<p>}</p>
<p>catch(Exception err)</p>
<p>{</p>
<p>throw(new Exception("发生一个错误："+err.Message)) ;</p>
<p>}</p>
<p>}</p>
<p>其中SpeechVoiceSpeakFlags.SVSFlagsAsync表示异步发音。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-11 20:39:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%ad%e6%96%87/" title="中文">中文</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/private/" title="private">private</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e9%9f%b3%e8%af%86%e5%88%ab/" title="语音识别">语音识别</a>, <a href="https://www.iamivan.net/tag/%e4%b8%ad%e6%96%87%e8%af%ad%e9%9f%b3%e8%af%86%e5%88%ab/" title="中文语音识别">中文语音识别</a>, <a href="https://www.iamivan.net/tag/instance/" title="instance">instance</a>, <a href="https://www.iamivan.net/tag/%e5%be%ae%e8%bd%af-speech-sdk/" title="微软 speech sdk">微软 speech sdk</a>, <a href="https://www.iamivan.net/tag/voice/" title="Voice">Voice</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e9%9f%b3%e8%af%86%e5%88%ab%e6%8a%80%e6%9c%af/" title="语音识别技术">语音识别技术</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>中英文语音合成与中文语音识别技术在c#中的应用（一）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpngNrz.html" rel="bookmark">中英文语音合成与中文语音识别技术在c&num;中的应用&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中文 但是,这个方法本身并不知道你给的字符串是什么语言,所以需要我们它这个字符串用什么语言读出.SpVoiceClass 类的Voice 属性就是用来设置语种的,我们可以通过SpVoiceClass 的GetVoices方法得到所有的语种列表,然后在根据参数选择相应的语种,比如设置语种为汉语如下所示: private void SetChinaVoice() { voice.Voice = voice.GetVoices(string.Empty,string.Empty).Item(0) ;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpP0A0p.html" rel="bookmark">中文语音识别技术在c&num;中的应用&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中文 接上篇&lt;中文语音识别技术在c#中的应用(一)&gt;---但是,这个方法本身并不知道你给的字符串是什么语言,所以需要我们它这个字符串用什么语言读出.SpVoiceClass 类的Voice 属性就是用来设置语种的,我们可以通过SpVoiceClass 的GetVoices方法得到所有的语种列表,然后在根据参数选择相应的语种,比如设置语种为汉语如下所示: private void SetChinaVoice() { voice.Voice = voice.GetVoices(string.Emp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPlYyM.html" rel="bookmark">语音合成与识别技术在C&num;中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在.net中,对英文语音有较好的支持,但是对中文语音的支持还没有加入进来,我们要想实现中文发音或中文语音识别,必需先安装微软的Speech Application SDK(SASDK),它的最新版本是 SAPI 5.1 他能够识别中.日.英三种语言,你可以在这里下载:http://www.microsoft.com/speech/download/sdk51/,需要安装这两个文件Speech SDK 5.1和5.1 Language Pack,其中5.1 Language Pack可以选择安装支			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR3d6z.html" rel="bookmark">人机大战机器胜！这次是智能语音识别技术！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天,在阿里云的一场年会上,真枪实弹的上演了一场人机大战.一张大屏分两边,一边实时滚动的是出自阿里著名的快男姜毅的文字速记,一边出现的是阿里云iDST的科学家们在短短一年时间打造出来的语音识别系统支持下的语音转文本记录. 人机大战一触即发,随着阿里云总裁胡晓明的演讲展开,屏幕两端实时出现了各自的文本记录,从现场效果来看,难分伯仲.如果不是提前告知,观者很难感知到擂台的一端是机器人,因为可以实时的看到机器人除了记录之外,还能根据演讲人语境的变化,返回来对前面的记录进行调整. 结果评估取孙权前八分钟			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEWeAp.html" rel="bookmark">语音识别助力客服小二：集团语音识别技术在留声机、服务宝项目中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;正在为您转接客服小二.为了提高我们的服务质量,您的通话可能会被录音.&quot;我们是这么说的,也是这么做的.每天,集团和蚂蚁的客服小二总共会接听几十万通电话,沉淀的语音数据时长超过数万小时.来自天南海北的客户将需要咨询的问题.需要吐槽的痛点.需要投诉的纠纷通过客服电话源源不断的反馈回公司.这些宝贵的客户心声在阿里会被认真的记录下来,并成为改善我们产品和服务的动力. 那么问题来了:如此大规模的语音数据沉淀下来后,如何才能被挖掘利用?阿里如此大规模的自营和外包客服小二团队,如何才能监测并不断提高			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgaYEz.html" rel="bookmark">百度中文分词技术的一点小猜测</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道,百度的中文分词技术比GOOGLE做的好,以下引用网络上找到的一张图片说明:   从上图可以推断出,百度遇到一个关键字,应该是先不进行分词,而是先检索百度百科的词条和百度指数有指数的中文词进行匹配,无法精确匹配的话,再进行分词,前两年在百度搜索关键字&quot;利川新闻网&quot;时,被分为利川/新闻/网,自从这个关键字有指数以后,百度会把它当做一个完整的关键词. 当然,百度的分词技术肯定比我个人推断出来的要复杂的多,作为百度旗下的产品,百度不会放弃自己的资源,肯定会参考百度百科的词条作为分词			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6XXOb.html" rel="bookmark">机器换人！浙江高院庭审引入语音识别技术！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				人工智能被认为是全球科技大发展的下一幕.从围棋人机大战,到预测&lt;我是歌手&gt;冠军,再到挑战高考作文.人工智能正在加速闯入大众生活的方方面面,这也包括司法领域.(深入了解语音识别技术,可详阅:https://yq.aliyun.com/topic/24) &quot;现在开庭.&quot;6月7日上午,随着一声清脆的法槌声,被告人宣某危险驾驶案在浙江省杭州市西湖区人民法院开庭审理.法官话音未落,显示屏上就同步出现汉字:&quot;审判长:现在开庭&quot;--十分钟不到,庭审结束,显示屏上记录着			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY59e9M.html" rel="bookmark">kinect-怎样利用Kinect的麦克风序列进行中文语音识别，只需要识别几个中文单词，英文识别已经做出来了。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎样利用Kinect的麦克风序列进行中文语音识别,只需要识别几个中文单词,英文识别已经做出来了. using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.IO; using Microsoft.Kinect; using Microsoft.Speech.AudioFormat; using Microsoft.Speech.Recognitio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAxDvp.html" rel="bookmark">关于kinect的语音识别技术~求大神帮忙</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 想请问一下大神,kinect语音识别技术能否能做到识别数字(0-9)及一些简单的汉字.若我在设计一个登陆界面之后,是否可以直接对kinect说账号和密码进行登陆?求大神帮忙回答谢谢~ 解决方案			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPOorM.html" rel="bookmark" class="title">DIV&plus;CSS仿网易的滑动门技术AJAX</a>
					<div>
						以下是HTML网页特效代码,点击运行按钮可查看效果: [Ctrl+A 全部选择 提示:你可先修改部分代码,再按运行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBX5kp.html" rel="bookmark" class="title">数据库连接池Java实现小结</a>
					<div>
						数据|数据库|数据库连接 因为工作需要要使用到连接池,所以拜读了互联网上众多前辈的文章,学了不少经验,这里想做一个小结,加上自己的想法和在一起,希望能给大家一些帮助.  目的: 消除数据库频繁连接带来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQv0GM.html" rel="bookmark" class="title">javascript小技巧</a>
					<div>
						javascript|技巧 事件源对象 event.srcElement.tagName event.srcElement.type 捕获释放 event.srcElement.setCapture( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9dlKb.html" rel="bookmark" class="title">系统数据库</a>
					<div>
						   SQL Server 2000 有四个系统数据库(System Databases):Master.Model.Msdb.Tempdb.这些系统数据库的文件存储在Microsoft SQL Se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBW29M.html" rel="bookmark" class="title">SEO培训的价值多半是由自己决定的</a>
					<div>
						虽然业界至今仍有一些人认为SEO已经穷途末路,在竞价和品牌的双重挤压下,网站优化的作用不断被淡化,但是我想说的是对于一个新站,或是一个草根品牌,SEO仍然是获取免费流量的重要途径,这是必然的,而正因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5BWqz.html" rel="bookmark" class="title">SEO需要学会做网站吗？谈SEO和代码的关系</a>
					<div>
						  最近很多人问学朋&quot;SEO需要学会做网站吗?&quot;,同时身边也有几个好友去学习PHP代码去了.有时候学朋觉得他们可能会走入一个误区,今天学朋就来具体谈谈作为SEO到底该不该学会做网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ5owp.html" rel="bookmark" class="title">站长如何做好SEO：分工协作 效率百倍</a>
					<div>
						自从了解了seo,经过近一年的时间去实践与操作,做的确是同一件事情.在客户网站的基本优化好后,就是不断给客户的网站添加原创文章,增加外部链接,然后排名就很自然的上来了. 虽然做的事情主要只有两件,但却 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlPOEb.html" rel="bookmark" class="title">C&num;实现USB接口的程序代码</a>
					<div>
						C#实现USB接口的程序代码. namespace ConsoleApplication1 { class Program { static void Main(string[] args) { US ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Ra4Kp.html" rel="bookmark" class="title">&period;Net组件设计中Attrbute的使用</a>
					<div>
						这篇文章是写给.Net 高级用户使用的:)主要针对于编写组件与控件的朋友 而言的. 我们编写的组件或控件,最常规的作法是包括属性,方法以及事件等东东.但是如果想把组件或控件做得更加专业,我们就必须为属 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7KEmM.html" rel="bookmark" class="title">Linq to SQL之使用存储过程&lpar;2&rpar;</a>
					<div>
						本文接着上篇文章Linq to SQL之使用存储过程 (1),继续探讨如何在Linq to SQL中使用存储过程. 在写存储过程的时候,有时候会用到返回值而不是output参数,现在看看怎样取到该返回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91ZlvM.html" rel="bookmark" class="title">JQuery中节点遍历方法实例</a>
					<div>
						  本文实例讲述了JQuery中节点遍历方法.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk59Zb.html" rel="bookmark" class="title">win8&sol;win8&period;1系统下，office2013更换序列号的方法</a>
					<div>
						  很多win8/win8.1系统都安装了微软的办公软件office2013.不过,也有一些用户使用的是临时的序列号,所以,就会出现office2013序列号过期的问题,那么,office2013过期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKRXaM.html" rel="bookmark" class="title">win8系统下IE10浏览器播放Flash失败怎么办</a>
					<div>
						  1. 先把IE10浏览器打开,然后点击里面的工具按钮,再逐一的单击安全.ActiveX筛选选项; 2. 如果上面这个问题仍然没用的话,就继续点击理加载项; 3. 接着就选择flash插件,直接启用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkx0Ab.html" rel="bookmark" class="title">迅雷快传如何下载文件</a>
					<div>
						  迅雷快传下载文件方法: 1.用浏览器打开该分享的下载地址. 2.点击会员高速下载按钮,进行高速下载(已安装迅雷的用户可以点击普通批量下载或点击文件名使用IE下载).					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaQmkM.html" rel="bookmark" class="title">MAC下快速卸载软件的两种方法</a>
					<div>
						  MAC用户想要卸载应用程序,除了之前小编给大家说的,使用Finder选择Move To Trash之外,还有其他的方法,现在小编就为大家再介绍两种其他的卸载软件的方法吧.   第一种方法: 选中要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EWejM.html" rel="bookmark" class="title">365小票打印机打印接口开发文档</a>
					<div>
						  API开发文档     接口1:打印内容 参数 说明 deviceNo 打印机编号 key 密钥 printContent 打印内容 times 固定传1 调用方式:HTTP POSTURL:ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3aP6M.html" rel="bookmark" class="title">asterisk-Asterisk queue 呼叫超时，怎么做超时处理</a>
					<div>
						问题描述 Asterisk queue 呼叫超时,怎么做超时处理 如标题,呼叫队列时,没有坐席接听,怎么知道超时了,而转录音; 如标题,呼叫队列时,没有坐席接听,怎么知道超时了,而转录音 解决方案 g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kj9NM.html" rel="bookmark" class="title">数据库ms SQL常用语句二</a>
					<div>
						-------------转换函数--------------------------------------------------------- print cast(123 as varchar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQm4Yp.html" rel="bookmark" class="title">VB 如何对webbrowse加载的网页中的alert&lpar;&rpar;弹出的对框自动点击（或回车）？</a>
					<div>
						问题描述 VB 如何对webbrowse加载的网页中的alert()弹出的对框自动点击(或回车)? 用VB写程序遇到 一麻烦,想清您帮助. 这是网页代码: //每播放隔二十分钟提示并暂停播放 if ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE4o5p.html" rel="bookmark" class="title">C&num;图形界面的显示</a>
					<div>
						问题描述 大家好!我想wince系统上用C#做个实时显示电压电流的图形界面,不知怎么处理,希望大家给些指点. 解决方案 解决方案二:wince的界面可比wp蛋疼多了你可以去找找有没有封装的方法解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Eo0z.html" rel="bookmark" class="title">阿里巴巴校园招聘笔试（答案版）</a>
					<div>
						1. 一架飞机在满油的情况下可以绕地球飞 0.5 圈,假设飞机与飞机之间可以互相加油,请问在确保所有飞机够油飞回起点的情况下,最少需要几架飞机才可以让其中一架飞机成功绕地球飞行一圈? (提示1:地球是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRe03z.html" rel="bookmark" class="title">MQC移动测试专有云解决方案</a>
					<div>
						MQC专有云解决方案是MQC测试体系的完全移植版,目标是帮助客户短期内在搭建一套专业的.系统的自动化测试平台.无论是因为移动App是企业内部应用无法外部使用,还是要求测试数据绝对私有化,MQC专有云解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEq2ap.html" rel="bookmark" class="title">ireport-有谁用过jasperReport做过报表的？求指教呀</a>
					<div>
						问题描述 有谁用过jasperReport做过报表的?求指教呀 按照网上的例子做了,只能在ireport上做好,把.jasper文件拷到eclipse中,导出报表!能不能做动态报表,就是在jsp页面按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9414db.html" rel="bookmark" class="title">android-Android 如何在适配器中启动intent跳转activity</a>
					<div>
						问题描述 Android 如何在适配器中启动intent跳转activity 如题 如何在适配器中启动intent跳转activity 解决方案 你在适配器中传入context就可以了. public ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAw76p.html" rel="bookmark" class="title">jQuery Tools Scrollable使用的限制</a>
					<div>
						在现在很多项目中,都会使用到jQuery Tools中scrollable.特别对于显示Photo Gallery,当然目前国内国外都有第三方非常优秀的的类似jQuery Tools.这是一个基本de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBKVGM.html" rel="bookmark" class="title">Android 重写系统Crash处理类，保存Crash信息到SD卡 和 完美退出程序的方法</a>
					<div>
						转载时注明地址:http://blog.csdn.net/xiaanming/article/details/9344703 我们开发Android应用的时候,当出现Crash的时候,系统弹出一个警告 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRkBEb.html" rel="bookmark" class="title">保证可下载的Access数据库密码破解器 v2&period;48 注册特别版&lowbar;常用工具</a>
					<div>
						可以破解目前已知的各版本Access数据库密码,支持20位中英文密码的破解,支持批量数据库破解,与其他同类型产品不同的是,本软件从分析数据库文件结构入手,破解速度奇快,破解准确率极高 下载此文件					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n7DJz.html" rel="bookmark" class="title">微软发布WP8&period;1 Update和中文版Cortana&OpenCurlyDoubleQuote;小娜&rdquo;</a>
					<div>
						Windows Phone 8.1 尚在推送进程中,它的第一个 GDR 更新就发布了.今天微软http://www.aliyun.com/zixun/aggregation/18782.html&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNo8qM.html" rel="bookmark" class="title">如何让Hadoop结合R语言做大数据分析？</a>
					<div>
						为什么要让Hadoop结合R语言? R语言和Hadoop让我们体会到了,两种技术在各自领域的强大.很多http://www.aliyun.com/zixun/aggregation/7155.html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8rd0b.html" rel="bookmark" class="title">浅析百度6&period;28大地震</a>
					<div>
						那就是谷歌的PR这次有很大程度上的提升,大部分做了一段时间的新站,特别是半年以上的新站,基本上pr都有上升,有的重0到了2 甚至3,原来有PR的也一定程度上提升了.对于这一喜一忧的交替进行,我们内心是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
